CreateTableStatement.RawStatement (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.statements

## Class CreateTableStatement.RawStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.CreateTableStatement.RawStatement

- Enclosing class:
    CreateTableStatement

      public static class CreateTableStatement.RawStatement
      extends CFStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CFPropDefs` | `properties`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawStatement(CFName name, boolean ifNotExists)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumnAlias(ColumnIdentifier alias)`
    `void` | `addDefinition(ColumnIdentifier def, CQL3Type.Raw type, boolean isStatic)`
    `void` | `addKeyAliases(java.util.List<ColumnIdentifier> aliases)`
    `ParsedStatement.Prepared` | `prepare()` Transform this raw statement into a CreateTableStatement.
    `void` | `setCompactStorage()`
    `void` | `setOrdering(ColumnIdentifier alias, boolean reversed)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          public final CFPropDefs properties

  - ### Constructor Detail

    - #### RawStatement

          public RawStatement(CFName name,
                              boolean ifNotExists)

  - ### Method Detail

    - #### prepare

          public ParsedStatement.Prepared prepare()
                                           throws RequestValidationException

      Transform this raw statement into a CreateTableStatement.
      Specified by:
        `prepare` in class `ParsedStatement`
      Throws:
        `RequestValidationException`

    - #### addDefinition

          public void addDefinition(ColumnIdentifier def,
                                    CQL3Type.Raw type,
                                    boolean isStatic)

    - #### addKeyAliases

          public void addKeyAliases(java.util.List<ColumnIdentifier> aliases)

    - #### addColumnAlias

          public void addColumnAlias(ColumnIdentifier alias)

    - #### setOrdering

          public void setOrdering(ColumnIdentifier alias,
                                  boolean reversed)

    - #### setCompactStorage

          public void setCompactStorage()

Copyright © 2018 The Apache Software Foundation